<?php
/**
* Plugin Name: Fatso
* Plugin URI: https://plugins.followmedarling.se/fatso/
* Description: Make use of the space that Gutenberg has been given.
* Version: 1.27
* Author: Jonk @ Follow me Darling
* Author URI: https://plugins.followmedarling.se/
* Domain Path: /languages
* Text Domain: fatso
**/

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

load_plugin_textdomain( 'fatso', false, basename( dirname( __FILE__ ) ) . '/languages' );

$fatso_dir = plugin_dir_path( __FILE__ );

add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'fatso_options_settings_link' );
function fatso_options_settings_link( $links ) {
	$links[] = '<a href="' . admin_url( 'options-general.php?page=fatso_settings' ) . '">' . __( 'Settings' ) . '</a>';
	return $links;
}

if ( is_admin() ) {
	add_action( 'admin_enqueue_scripts', 'enqueue_fatso_admin_css' );
	function enqueue_fatso_admin_css() {
		$plugin_version = get_plugin_data( __FILE__ )['Version'];
		wp_register_style( 
			'fatso-admin', 
			plugins_url( 'css/fatso-admin.min.css', __FILE__ ), 
			null, 
			$plugin_version
		);
		wp_enqueue_style( 'fatso-admin' );
	}
	add_action('admin_head', 'fatso_custom_css', 12);
	function fatso_custom_css() {
		$fatso_width = get_fatso_options( 'fatso_width' );
		$fatso_unit = get_fatso_options( 'fatso_unit' );
		if ( $fatso_width && $fatso_unit ) {
			echo '<style type="text/css" id="fatso-admin-css-custom">'; 
				echo '
					.edit-post-visual-editor__post-title-wrapper .wp-block.editor-post-title.editor-post-title__block,
					.editor-styles-wrapper .block-editor-block-list__layout.is-root-container > * {
					max-width: ' . $fatso_width . $fatso_unit . ';
				}';
			echo '</style>' . "\n";
		}
	}
}

include_once( $fatso_dir . 'inc/settings-fatso.php' );
