<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

// Admin menu
function fatso_menu() {
	add_options_page( __( 'Fatso', 'fatso' ), __( 'Fatso', 'fatso' ), 'manage_options', 'fatso_settings', 'fatso_options' );
}

// Function for getting saved option with fallback
function get_fatso_options( $option, $new_line_to_space = false, $fallback = '', $esc = false ) {
	$option = get_option( $option );
	if ( !$option && $fallback ) {
		$option = $fallback;
	}
	if ( $new_line_to_space ) {
		$remove = array( "\n", "\r\n", "\r" );
		$option = str_replace( $remove, ' ', $option );
	}
	if ( $esc ) {
		$option = esc_attr( $option );
	}
	return stripslashes( $option );
}

// Admin page
add_action( 'admin_menu', 'fatso_menu' );
function fatso_options() {
	include_once( 'settings-fatso-update-options.php' );
	$fatso_width = get_fatso_options( 'fatso_width', false, '90', true );
	$fatso_unit = get_fatso_options( 'fatso_unit', false, '%', true );
	?>

	<div class="wrap">
		<h1><?php _e( 'Fatso', 'fatso' ); ?></h1>

		<form method="post">
			<table class="form-table">
				<tr valign="top">
					<th scope="row"><?php _e( 'Width', 'fatso' ); ?></th>
					<td>
						<input name="fatso_width" type="number" id="fatso_width" value="<?php echo $fatso_width; ?>" class="large-text" placeholder="Number">
					</td>
					<td>
						<select name="fatso_unit" id="fatso_unit" class="large-text">
							<option value="%"<?php if ($fatso_unit == '%') { echo ' selected'; } ?>>%</option>
							<option value="px"<?php if ($fatso_unit == 'px') { echo ' selected'; } ?>>px</option>
							<option value="em"<?php if ($fatso_unit == 'em') { echo ' selected'; } ?>>em</option>
							<option value="rem"<?php if ($fatso_unit == 'rem') { echo ' selected'; } ?>>rem</option>
						</select>
					</td> 
				</tr>
			</table>
			<div class="submit">
				<input type="submit" name="save_fatso_settings" value="<?php _e( 'Save Settings' , 'fatso' ); ?>" class="button-primary" />
				&nbsp;&nbsp;&nbsp;<a href="#" class="js-reset-fatso"><?php _e( 'Reset to default', 'fatso' ); ?></a>
			</div>
			<?php
				wp_nonce_field( 'fatso_nonce_action', 'fatso_nonce_name', false );
			?>
		</form>
	</div>
	<script>
		jQuery('.js-reset-fatso').click(function() {
			jQuery('#fatso_width').val('90');
			jQuery('#fatso_unit').val('%');
			jQuery('#wpbody-content form').submit();
		});
	</script>
<?php
}
